# sbd2024

- Prof. Stéphane Malandain 
- Assistants : Deniz Koprulu et Joël Von der Weid

## Organisation technique

- Etape 1 : liker le _repo_
- Etape 2 : cloner le _repo_:
```
https://gitedu.hesge.ch/stephane.malandai/sbd2023.git
```
- Mise à jour du _repo_:
```
git pull
```
## Organisation administrative

### Groupe jour

- Systèmes de base de données / ISC_431 / 
- Horaires: 11h15-12h00 - 13h00-14h30

### Groupe soir

- Systèmes de base de données / sISC_261 
- Horaires: 18h30 - 20h45

### Disponibilités des assistants/enseignants

- Stéphane Malandain (enseignant principal) 
  - Vous pouvez me contacter par email pour prendre rendez-vous ou pour des questions administratives ou d'ordre général
  - Vos questions **techniques et théoriques seront ignorées** -> venez au cours,
    - Je réponds toutefois à vos questions à mon bureau en **B506** le **jeudi de 13h à 15h**
-  Deniz Koprulu répond à vos questions à son bureau **A403** les: 
    - lundi, jeudi et vendredi toute la journée
-  Joël von der Weid répond à vos questions à son bureau **A403** les: 
    - lundi matin, mardi après-midi et mercredi

## Programme

### Semaine 1 - 19 février

- chapitre 0 
- chapitre 1 - Intro Base de données 
- chapitre 2 - Modélisation EA

### Semaine 2 - 26 février

- chapitre 2 - modélisation EA - Quizz
- exercices serie 1 et 2

### Semaine 3 - 04 mars

- Chapitre 3 : modélisation relationnelle
- corrections des exercices 

### Semaine 4 - 11 mars

- Chapitre 4 : ...
- exercices serie 3

### Semaine 5 - 18 mars

- chapitre 4 - algèbre relationnelle
- Exercices serie 3 et 4
  
### Semaine 6 - 25 mars 

- chapitre 5 - algèbre relationnelle
- corrigé d'exercices serie 3
- exercices serie 4

### Semaine 7 

- **Vacances**

### Semaine 8 - 08 avril 


- exercices serie 5

### Semaine 9 - 15 et 17 avril 

- correction exercices serie 5 

### Semaine 10 - 22 et 24 avril

- chapitre 6 - modélisation mod. rel. -> FIN
- exercices serie 6

### Semaine 11 - 29 avril et .. 1 mai ..

- Corrigé série 6
- chapitre 7 : Le SQL

### Semaine 12 -  6 et 8 mai

- TP : mise en place de Sqlite
- Test 1 : modèle EA et modèle relationnel


### Semaine 13 - 13 et 15 mai 

– Chapitre 7 - SQL (fin)
- TP 1 : bdd eleves/profs
- lien pour télécharger la bdd : http://gofile.me/6Zy9q/vHomOD4YT
- exercices serie 7 (requêtes)

### Semaine 14 - pentecote et 22 mai

– correction test
- correction serie 7
- correction TP1

### Semaine 15 - 27 et 29 mai 

- Corrections d'exercices
- TP

### Semaine 16 - 3 et 5 juin

- Chapitre 8
- Corrections - révisions
- TP

### Semaine 17 - 10 et 12 juin

- Test final
- Vos droits: deux feuilles de notes manuscrites individuelles recto-verso écrites à la main
- Rendu TP : 14 Juin
 
A rendre:

- un rapport (max. 4 pages) comprenant
  - Votre modèle EA avec notes et limitations
  - Votre modèle relationnel avec notes et limitations
  - Si vos modèles sont trop élaborés, vous pouvez prendre un périmètre restreint de votre modèle rel. précédent
  - Un fichier `.sql` qui crééer la bd et la peuple
    - 6 tables minimum
    - 1 trigger => https://www.sqlite.org/lang_createtrigger.html#:~:text=The%20CREATE%20TRIGGER%20statement%20is,%3A%20DELETE%2C%20INSERT%2C%20UPDATE.
    - un index => https://www.sqlite.org/lang_createindex.html
  - 10-12 requêtes SQL testées à l'aide de votre BD

  

